ata_scsi_slave_destroy
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_slave_destroy — SCSI device is about to be destroyed

## Synopsis

`void ata_scsi_slave_destroy (` | struct scsi_device * | sdev`)`;

## Arguments

`sdev`

  SCSI device to be destroyed

## Description

`sdev` is about to be destroyed for hot/warm unplugging. If this unplugging was initiated by libata as indicated by NULL dev->sdev, this function doesn't have to do anything. Otherwise, SCSI layer initiated warm-unplug is in progress. Clear dev->sdev, schedule the device for ATA detach and invoke EH.

## LOCKING

Defined by SCSI layer. We don't really care.

Prev | Up | Next
ata_scsi_slave_config | Home | ata_scsi_change_queue_depth